
Core - Task # 56612

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55522 (Closed): As a developer I want to ensure that further changes have no negative impact on import or export

Status: Resolved Priority: Could have
Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-03-06 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-20 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Impexp: Add tests for flexform
Description

    -  group file
    -  group file_reference
    -  softref to sys_file

Related issues:
related to Core - Task # 56991: RefIndex is broken for FlexForm fields group ... Resolved 2014-03-17

Associated revisions
Revision 6a0ba748 - 2014-03-20 21:40 - Marc Bastian Heinrichs

[TASK] Add functional tests for impexp FlexForm fields

This patch add functional tests for exporting and importing
FlexForm fields of types "group" internal_type "file" and
"file_reference" and a field with a soft reference link to a file.

Resolves: #56612
Releases: 6.2
Change-Id: Ic66257dab15ec7a2fde522be9f74170eec346877
Reviewed-on: https://review.typo3.org/28466
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-03-17 14:18 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28466

#2 - 2014-03-17 14:32 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#3 - 2014-03-20 18:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28466

#4 - 2014-03-20 22:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:6a0ba7487ea44319c701221da2987c8b0d0e10c0.
